name: {{ node_name }}
scope: pgdb

consul:
  host: "localhost:8500"
  register_service: true

restapi:
  listen: 0.0.0.0:8008
  connect_address: "{{ ansible_default_ipv4.address }}:8008"

bootstrap:
  dcs:
    ttl: 30
    loop_wait: 10
    maximum_lag_on_failover: 1048576
    postgresql:
      use_slots: true

  initdb:
    - encoding: UTF8
    - data-checksums
    
  pg_hba:
    - host all postgres 127.0.0.1/32 trust
    - local all all trust
    - host replication replicator 192.168.101.0/24 trust
    - host replication replicator 127.0.0.1/32 trust
    - host all all 0.0.0.0/0 md5

postgresql:
  pgpass: /var/lib/pgsql/.pgpass
  listen: 0.0.0.0:5432
  connect_address: "{{ ansible_default_ipv4.address }}:5432"
  data_dir: /var/lib/postgresql/14/main/
  bin_dir: /usr/lib/postgresql/14/bin/
  pg_rewind:
    username: postgres
    password: password
  pg_hba:
    - host all postgres 127.0.0.1/32 trust
    - local all all trust
    - host replication replicator 192.168.101.0/24 trust
    - host replication replicator 127.0.0.1/32 trust
    - host all all 0.0.0.0/0 md5
  authentication:
    replication:
      username: replicator
      password: password
    superuser:
      username: postgres
      password: password
    rewind:
      username: rewind
      password: password